%define anolis_release 1
%global srcname webencodings


Name:           python-%{srcname}
Version:        0.5.1
Release:        %{anolis_release}%{?dist}
BuildArch:      noarch
License:        BSD
Summary:        Character encoding for the web
URL:            https://github.com/gsnedders/python-%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-sphinx
BuildRequires: python3-pip
BuildRequires: python3-wheel

%description
This is a Python implementation of the WHATWG Encoding standard.


%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname}
This is a Python implementation of the WHATWG Encoding standard.

%{?python_provide:%python_provide python3-%{srcname}}

Requires: python3

%package -n     python3-%{srcname}-doc
Summary:        Documentation files for %{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
This package contains documentation for developer documentation for %{srcname}.


%prep
%autosetup -n python-%{srcname}-%{version}


%build
%pyproject_wheel

PYTHONPATH=. sphinx-build-3 docs docs/_build

# Remove unneeded build artifacts.
rm -rf docs/_build/.buildinfo
rm -rf docs/_build/.doctrees


%install
%pyproject_install


%check
pytest


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.dist-info/

%files -n python3-%{srcname}-doc
%doc README.rst docs/_build


%changelog
* Mon Mar 27 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 0.5.1-1
- Init from upstream 0.5.1
